Blog Tag: fc8


F8打开sudo命令

2007 年 12 月 21 日 下午 2:38 | | 阅读次数 : 1,570 次

LINUX&WIN | , ,

      为了方便系统的管理,Fedora系列内置了sudo的机制,他的概念是,授权特定的用户可以执行一些root的命令。但是在F8安装之后,默认是没有打开这个功能的,要打开,可以按照下面两种方式。
      第一,切换到root的权限下,将/etc/sudoers的权限改成0744后编辑,或者用visudo命令编辑它,将83 行
%wheel ALL=(ALL) ALL
的注释去掉(注意,后面没有NOPASSWORD),然后,把你当前的用户添加到wheel的用户组(编辑/etc/group文件,在wheel后面加上你的用户名,用“,”隔开),ok,这样你就可以用sudo执行任何root的命令了,当然,你得知道root的密码,不要密码就在最后一个ALL后面加上一个NOPASSWORD(不推荐)。
      第二种,可以自己新建一个用户组,然后把这个用户组添加到sudoers的文件中去,例如
%leekooqi All=(All) ALL
这样,效果是一样的。 (更多…)

Share

爱上VLC media player

2007 年 11 月 23 日 下午 2:38 | | 阅读次数 : 26,132 次

LINUX&WIN | , , ,

       这几天,忙那个MP的事情,已经烦死了,源代码down无数次,编译了无数次,deps的软件也重装了很多次(估计硬盘的寿命都短了不少),还是只能在console模式下播放,支持的类型倒是达到了,就是没有界面,要切换过去按快捷键。。所以,今天装了个VLC,首先介绍下。
      
       VLC – the cross-platform media player and streaming server

       VLC media player is a highly portable multimedia player for various audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, …) as well as DVDs,       VCDs, and various streaming protocols. It can also be used as a server to stream in unicast or multicast in IPv4 or IPv6 on a high-bandwidth network.

       很不错的media player,基本上支持目前所有的OS,有独立的skin和字幕支持,同样的源,比在MPlayer下面播放更清晰,很有个性的界面等等。这一切就在fedora下面,就需要一句命令就可以搞定。。
       # sudo yum -y install vlc
        下面上图:
(更多…)

Share

F8中Mplayer无法安装mencoder问题

2007 年 11 月 22 日 上午 10:34 | | 阅读次数 : 4,774 次

LINUX&WIN | , ,

       装上F8有一段时间了,由于官方的仓库还没有完善,所以有的东西只能自己摸索了,装了个MPlayer,yum安装的,还有系统自带的那个音乐播放器一样,都不能decode MP3,这下奇怪了。

Missing Dependency: libx264.so.56 is needed by package mencoder

yum update的时候,也出错

[leekooqi@icnote ~]$ sudo yum update
Setting up Update Process
Resolving Dependencies
–> Running transaction check
—> Package x264.i386 0:0.0.0-0.3.20070529.fc7 set to be updated
–> Processing Dependency: libx264.so.56 for package: vlc
–> Processing Dependency: libx264.so.56 for package: ffmpeg-libs
–> Finished Dependency Resolution
Error: Missing Dependency: libx264.so.56 is needed by package vlc
Error: Missing Dependency: libx264.so.56 is needed by package ffmpeg-libs
[leekooqi@icnote ~]$

(更多…)

Share